Skip to main content
GET
/
api
/
v1
/
search
Error
A valid request URL is required to generate request examples
{
  "query": "<string>",
  "results": {
    "navigation": [
      {
        "type": "<string>",
        "id": "<string>",
        "title": "<string>",
        "subtitle": "<string>",
        "url": "<string>",
        "score": 123,
        "metadata": {
          "icon": "<string>"
        }
      }
    ],
    "help": [
      {
        "type": "<string>",
        "id": "<string>",
        "title": "<string>",
        "subtitle": "<string>",
        "url": "<string>",
        "score": 123,
        "metadata": {
          "category": "<string>",
          "reading_time": 123,
          "is_popular": true,
          "is_new": true
        }
      }
    ],
    "settings": [
      {
        "type": "<string>",
        "id": "<string>",
        "title": "<string>",
        "subtitle": "<string>",
        "url": "<string>",
        "score": 123,
        "metadata": {
          "icon": "<string>"
        }
      }
    ],
    "actions": [
      {
        "type": "<string>",
        "id": "<string>",
        "title": "<string>",
        "subtitle": "<string>",
        "url": "<string>",
        "score": 123,
        "metadata": {
          "icon": "<string>"
        }
      }
    ],
    "denials": [
      {}
    ],
    "documents": [
      {}
    ]
  }
}

Query Parameters

limit
integer
q
string
types
string[]

Response

200 - application/json

OK

query
string
required
results
object
required